TechDraw Annotation

From FreeCAD Documentation

TechDraw Annotation

Menu location
TechDraw → Annotations → Insert Annotation
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw RichTextAnnotation

Description

The TechDraw Annotation tool adds a text block to a drawing page.

Annotation in the drawing page

Usage

  1. If there are multiple drawing pages in the document: optionally activate the desired page by selecting it in the Tree view.
  2. There are several ways to invoke the tool:
    • Press the Insert Annotation button.
    • Select the TechDraw → Annotations → Insert Annotation option from the menu.
  3. If there are multiple drawing pages in the document and you have not yet activated a page, the Page Chooser dialog box opens: introduced in version 0.20
    1. Select the desired page.
    2. Press the OK button.
  4. A text block containing Default Text appears on the page.
  5. Use the Property editor to change the text.
  6. Optionally drag the Annotation to the different position.

Modifying the annotation through the Property editor

Notes

  • Some characters interfere with the internal representation of the Annotation text. Specifically, these are the double quote ", less than <, and greater than > symbols; these must be replaced by HTML escape characters, &quot;, &lt;, and &gt; respectively. See Character encodings in HTML for details.

Properties

The Annotation inherits all applicable basic View properties except DataScale. Use the DataTextSize property instead.

  • DataText: The text to be displayed.
  • DataFont: The name of the font to use. Annotation will use the best match of installed fonts.
  • DataTextColor: The color of the text.
  • DataTextSize: The size of the text in mm.
  • DataMaxWidth: The maximum width of the Annotation block. -1 indicates no maximum width.
  • DataLineSpace: Line spacing adjustment (%).
  • DataTextStyle: "Normal", "Bold", "Italic", "Bold-Italic"

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The New Annotation tool can be used in macros and from the Python console by using the following functions:

anno = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewAnnotation','TestAnno')
anno.Text = ['Different Text']
anno.TextStyle = 'Bold'
rc = page.addView(anno)